summaryrefslogtreecommitdiff
path: root/support/gladtex/runtests
diff options
context:
space:
mode:
authorNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
committerNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
commite0c6872cf40896c7be36b11dcc744620f10adf1d (patch)
tree60335e10d2f4354b0674ec22d7b53f0f8abee672 /support/gladtex/runtests
Initial commit
Diffstat (limited to 'support/gladtex/runtests')
-rwxr-xr-xsupport/gladtex/runtests11
1 files changed, 11 insertions, 0 deletions
diff --git a/support/gladtex/runtests b/support/gladtex/runtests
new file mode 100755
index 0000000000..521d5b3a33
--- /dev/null
+++ b/support/gladtex/runtests
@@ -0,0 +1,11 @@
+#!/bin/sh
+# change above to python, if your system doesn't have the 3 suffix for python 3
+set -e
+PYTHON=python
+# check whether a program called "python3" exists, else use "python"
+if command -v python3 >/dev/null 2>&1
+then
+ PYTHON=python3
+fi
+
+$PYTHON -m unittest discover tests